@echo off

SET sn="C:\Program Files\Microsoft Visual Studio 8\SDK\v2.0\Bin\sn.exe"
set gacutil="C:\Program Files\Microsoft Visual Studio 8\SDK\v2.0\Bin\gacutil.exe"
set msbuild=c:\windows\Microsoft.NET\Framework\v2.0.50727\MSBuild.exe
set dxver=v6.3
set configuration=Debug

if exist DevExpress.Key\StrongKey.snk goto build
echo Generating strong key
%sn% -k DevExpress.Key\StrongKey.snk

:build
call buildproject.cmd DevExpress.Data.%dxver%.Compact ".\DevExpress.Data\DevExpress.Data.Compact.2005.csproj"
call buildproject.cmd DevExpress.Data.%dxver% ".\DevExpress.Data\DevExpress.Data.2005.csproj"
call buildproject.cmd DevExpress.Utils.%dxver% ".\DevExpress.Utils\DevExpress.Utils.2005.csproj"
call buildproject.cmd DevExpress.BonusSkins.%dxver% ".\DevExpress.BonusSkins\DevExpress.BonusSkins.csproj" 
call buildproject.cmd DevExpress.Data.%dxver%.Compact ".\DevExpress.Data\DevExpress.Data.Compact.2005.csproj"
call buildproject.cmd DevExpress.XtraEditors.%dxver% ".\DevExpress.XtraEditors\DevExpress.XtraEditors\DevExpress.XtraEditors.2005.csproj" 
call buildproject.cmd DevExpress.XtraEditors.%dxver%.Design ".\DevExpress.XtraEditors\DevExpress.XtraEditors.Design\DevExpress.XtraEditors.Design.2005.csproj" 
call buildproject.cmd DevExpress.XtraNavBar.%dxver% ".\DevExpress.XtraNavBar\DevExpress.XtraNavBar\DevExpress.XtraNavBar.2005.csproj" 
call buildproject.cmd DevExpress.XtraNavBar.%dxver%.Design ".\DevExpress.XtraNavBar\DevExpress.XtraNavBar.Design\DevExpress.XtraNavBar.Design.2005.csproj" 
call buildproject.cmd DevExpress.XtraPivotGrid.%dxver%.Core ".\DevExpress.XtraPivotGrid\DevExpress.XtraPivotGrid.Core\DevExpress.XtraPivotGrid.Core.2005.csproj" 
call buildproject.cmd DevExpress.Web.ASPxDataControls.%dxver% ".\DevExpress.Web.ASPxDataControls\DevExpress.Web.ASPxDataControls.2005.csproj"
call buildproject.cmd DevExpress.Web.ASPxGrid.%dxver% ".\DevExpress.Web.ASPxGrid\DevExpress.Web.ASPxGrid.2005.csproj"
call buildproject.cmd DevExpress.Web.ASPxClasses.%dxver% ".\DevExpress.Web.ASPxClasses\DevExpress.Web.ASPxClasses.2005.csproj"
call buildproject.cmd DevExpress.Web.ASPxMenu.%dxver% ".\DevExpress.Web.ASPxMenu\DevExpress.Web.ASPxMenu.2005.csproj"
call buildproject.cmd DevExpress.Web.ASPxPopupControl.%dxver% ".\DevExpress.Web.ASPxPopupControl\DevExpress.Web.ASPxPopupControl.2005.csproj"
call buildproject.cmd DevExpress.Web.ASPxPivotGrid.%dxver% ".\DevExpress.Web.ASPxPivotGrid\DevExpress.Web.ASPxPivotGrid.2005.csproj"
call buildproject.cmd DevExpress.Web.ASPxNavBar.%dxver% ".\DevExpress.Web.ASPxNavBar\DevExpress.Web.ASPxNavBar.2005.csproj"
call buildproject.cmd DevExpress.Web.ASPxSiteMapControl.%dxver% ".\DevExpress.Web.ASPxSiteMapControl\DevExpress.Web.ASPxSiteMapControl.2005.csproj"
call buildproject.cmd DevExpress.Web.ASPxTabControl.%dxver% ".\DevExpress.Web.ASPxTabControl\DevExpress.Web.ASPxTabControl.2005.csproj"
call buildproject.cmd DevExpress.Xpo.%dxver% ".\DevExpress.Xpo\DevExpress.Xpo\DevExpress.Xpo.2005.csproj" 
call buildproject.cmd DevExpress.Xpo.%dxver%.Compact ".\DevExpress.Xpo\DevExpress.Xpo.Compact\DevExpress.Xpo.Compact.2005.csproj" 
call buildproject.cmd DevExpress.Xpo.%dxver%.Design ".\DevExpress.Xpo\DevExpress.Xpo.Design\DevExpress.Xpo.Design.2005.csproj" 
rem call buildproject.cmd DevExpress.Xpo.%dxver%.Providers ".\DevExpress.Xpo\DevExpress.Xpo.Providers\DevExpress.Xpo.Providers.2005.csproj" 
call buildproject.cmd DevExpress.XtraBars.%dxver% ".\DevExpress.XtraBars\DevExpress.XtraBars\DevExpress.XtraBars.2005.csproj" 
call buildproject.cmd DevExpress.XtraBars.%dxver%.Design ".\DevExpress.XtraBars\DevExpress.XtraBars.Design\DevExpress.XtraBars.Design.2005.csproj" 
call buildproject.cmd DevExpress.XtraCharts.%dxver% ".\DevExpress.XtraCharts\DevExpress.XtraCharts\DevExpress.XtraCharts.2005.csproj" 
call buildproject.cmd DevExpress.XtraCharts.%dxver%.UI ".\DevExpress.XtraCharts\DevExpress.XtraCharts.UI\DevExpress.XtraCharts.UI.2005.csproj" 
call buildproject.cmd DevExpress.XtraCharts.%dxver%.Design ".\DevExpress.XtraCharts\DevExpress.XtraCharts.Design\DevExpress.XtraCharts.Design.2005.csproj" 
call buildproject.cmd DevExpress.XtraGrid.%dxver% ".\DevExpress.XtraGrid\DevExpress.XtraGrid\DevExpress.XtraGrid.2005.csproj" 
call buildproject.cmd DevExpress.XtraGrid.%dxver%.Design ".\DevExpress.XtraGrid\DevExpress.XtraGrid.Design\DevExpress.XtraGrid.Design.2005.csproj" 
call buildproject.cmd DevExpress.XtraLayout.%dxver% ".\DevExpress.XtraLayout\DevExpress.XtraLayout\DevExpress.XtraLayout.2005.csproj" 
call buildproject.cmd DevExpress.XtraLayout.%dxver%.Design ".\DevExpress.XtraLayout\DevExpress.XtraLayout.Design\DevExpress.XtraLayout.Design.2005.csproj" 
call buildproject.cmd DevExpress.XtraPrinting.%dxver% ".\DevExpress.XtraPrinting\DevExpress.XtraPrinting\DevExpress.XtraPrinting.2005.csproj" 
call buildproject.cmd DevExpress.XtraPrinting.%dxver%.Design ".\DevExpress.XtraPrinting\DevExpress.XtraPrinting.Design\DevExpress.XtraPrinting.Design.2005.csproj" 
call buildproject.cmd DevExpress.XtraPivotGrid.%dxver% ".\DevExpress.XtraPivotGrid\DevExpress.XtraPivotGrid\DevExpress.XtraPivotGrid.2005.csproj" 
call buildproject.cmd DevExpress.XtraPivotGrid.%dxver%.Design ".\DevExpress.XtraPivotGrid\DevExpress.XtraPivotGrid.Design\DevExpress.XtraPivotGrid.Design.2005.csproj" 
call buildproject.cmd DevExpress.XtraRichTextEdit.%dxver% ".\DevExpress.XtraRichTextEdit\DevExpress.XtraRichTextEdit\DevExpress.XtraRichTextEdit.2005.csproj" 
call buildproject.cmd DevExpress.XtraReports.%dxver% ".\DevExpress.XtraReports\DevExpress.XtraReports\DevExpress.XtraReports.2005.csproj" 
call buildproject.cmd DevExpress.XtraReports.%dxver%.Design ".\DevExpress.XtraReports\DevExpress.XtraReports.Design\DevExpress.XtraReports.Design.2005.csproj" 
call buildproject.cmd DevExpress.XtraScheduler.%dxver% ".\DevExpress.XtraScheduler\DevExpress.XtraScheduler\DevExpress.XtraScheduler.2005.csproj" 
call buildproject.cmd DevExpress.XtraScheduler.%dxver%.Design ".\DevExpress.XtraScheduler\DevExpress.XtraScheduler.Design\DevExpress.XtraScheduler.Design.2005.csproj" 
call buildproject.cmd DevExpress.XtraScheduler.%dxver%.OutlookExchange ".\DevExpress.XtraScheduler\DevExpress.XtraScheduler.OutlookExchange\DevExpress.XtraScheduler.OutlookExchange.2005.csproj"
call buildproject.cmd DevExpress.XtraScheduler.%dxver%.VCalendarExchange ".\DevExpress.XtraScheduler\DevExpress.XtraScheduler.VCalendarExchange\DevExpress.XtraScheduler.VCalendarExchange.2005.csproj"
call buildproject.cmd DevExpress.XtraTreeList.%dxver% ".\DevExpress.XtraTreeList\DevExpress.XtraTreeList\DevExpress.XtraTreeList.2005.csproj" 
call buildproject.cmd DevExpress.XtraTreeList.%dxver%.Design ".\DevExpress.XtraTreeList\DevExpress.XtraTreeList.Design\DevExpress.XtraTreeList.Design.2005.csproj" 
call buildproject.cmd DevExpress.XtraVerticalGrid.%dxver% ".\DevExpress.XtraVerticalGrid\DevExpress.XtraVerticalGrid\DevExpress.XtraVerticalGrid.2005.csproj" 
call buildproject.cmd DevExpress.XtraVerticalGrid.%dxver%.Design ".\DevExpress.XtraVerticalGrid\DevExpress.XtraVerticalGrid.Design\DevExpress.XtraVerticalGrid.Design.2005.csproj" 
call buildproject.cmd DevExpress.Tutorials.%dxver% ".\DevExpress.Tutorials\DevExpress.Tutorials.2005.csproj"

echo -------------------------------
echo All done
pause
